# net::ssh

This package provides an implementation of the SSH client & server protocol for
Hare programs.

**Status**: Incomplete.

## Provided modules

- **net::ssh**: SSH client & server
- **net::ssh::agent**: SSH agent protocol implementation
- **format::ssh**: SSH public & private key parsers

Examples are provided in the "cmd" directory.

## Installation

### From your distribution

The recommended name for this package is "hare-ssh". Look for this, or something
similar, in your local package manager. This is the preferred way to install
this package.

### System-wide installation

```
make install
```

### Vendoring

```
git subtree -P vendor/hare-ssh/ add https://git.sr.ht/~sircmpwn/hare-ssh master
```
